View Issue Details

IDProjectCategoryLast Update
0025895AI War 2Gameplay IssueJan 24, 2022 2:50 pm
Reporterx4000Bughunter Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Fixed in VersionBeta 3.786 
Summary0025895: Player types that don't use metal to not be able to capture metal harvesters.
DescriptionThis also means on the initial planet that they don't get it.

For the sake of ease of use, if there are any that they already control, those should be put to neutral.
TagsNo tags attached.

Relationships

related to 0026107 resolvedx4000Bughunter Necromancer claiming asteroid mining powerplants 
child of 0025887 acknowledgedx4000Bughunter Parent: Todo prior to DLC3 full testing ability (and the new DLC1 additions) 

Activities

x4000Bughunter

Jan 24, 2022 2:50 pm

administrator   ~0063865

* Added a new "claim_disallowed_for_players_who_do_not_use_metal", which is used on metal harvesters and similar and prevents non-metal-using players (like Necromancer and Suzerain) from capturing these types.
** Won't affect existing games.
** This is untested, so please let us know if it doesn't seem to work properly.

Issue History

Date Modified Username Field Change
Dec 14, 2021 10:42 am x4000Bughunter New Issue
Dec 14, 2021 10:42 am x4000Bughunter Relationship added child of 0025887
Jan 12, 2022 8:58 pm BadgerBadger Relationship added related to 0026107
Jan 24, 2022 2:50 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 24, 2022 2:50 pm x4000Bughunter Status new => resolved
Jan 24, 2022 2:50 pm x4000Bughunter Resolution open => fixed
Jan 24, 2022 2:50 pm x4000Bughunter Fixed in Version => Beta 3.786
Jan 24, 2022 2:50 pm x4000Bughunter Note Added: 0063865